> For the complete documentation index, see [llms.txt](https://docs.cardspro.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cardspro.com/api/kyc/add-kyc-picture.md).

# Add KYC picture

Attaches a picture to KYC.

**Endpoint:** `POST /kyc/set-picture/{uuid}/{type}`

**Content-Type:** `application/octet-stream`

**Path Parameters:**

* `uuid`  - UUID of KYC
* `type`  - Type of picture. Needed types depends on sort of KYC

**Request Body:  picture (jpeg) binary.**

{% hint style="warning" %}
**Do not include the request body when generating the signature(CAP-SIGN).**
{% endhint %}

**'type' Reference**

<table><thead><tr><th width="171.88885498046875">Type Value</th><th width="257.666748046875">List of KYC</th><th>Description</th></tr></thead><tbody><tr><td>document_front</td><td><p>S00</p><p>W02111048</p><p>W02111030</p></td><td>Front side of the identity document</td></tr><tr><td>document_back</td><td><p>S00(optional)</p><p>W02111048(optional)</p><p>W02111030(optional)</p></td><td>Back side of the identity document</td></tr><tr><td>selfie</td><td><p>W02111048</p><p>W02111030</p></td><td>User face photo</td></tr></tbody></table>

**Response**

If the request is successful, the API returns http code 200.
